Skip to main content
GET
/
v2
/
evm
/
eip7702
/
delegation-operations
/
{delegationOperationId}
Get EIP-7702 delegation operation for an operationID
curl --request GET \
  --url https://api.cdp.coinbase.com/platform/v2/evm/eip7702/delegation-operations/{delegationOperationId} \
  --header 'Authorization: Bearer <token>'
{
  "delegationOperationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "status": "COMPLETED",
  "network": "base",
  "transactionHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
  "delegateAddress": "0x7702cb554e6bFb442cb743A7dF23154544a7176C"
}

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Path Parameters

delegationOperationId
string<uuid>
required

The unique identifier for the delegation operation.

Response

Delegation operation retrieved successfully.

The status of an EIP-7702 delegation operation.

delegationOperationId
string<uuid>
required

The unique identifier for the delegation operation.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

status
enum<string>
required

The current status of the delegation operation. UNSPECIFIED means the status has not been set. PENDING means the operation has been created but not yet submitted. SUBMITTED means the operation has been submitted to the network. COMPLETED means the operation has completed successfully. FAILED means the operation has failed.

Available options:
UNSPECIFIED,
PENDING,
SUBMITTED,
COMPLETED,
FAILED
Example:

"COMPLETED"

network
enum<string>
required

The network for the EIP-7702 delegation.

Available options:
base-sepolia,
base,
arbitrum,
optimism,
polygon,
ethereum,
ethereum-sepolia
Example:

"base"

transactionHash
string

The hash of the delegation transaction, if available. Present once the transaction has been submitted to the network.

Pattern: ^0x[0-9a-fA-F]{64}$
Example:

"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"

delegateAddress
string

The address the account has delegated to, if any. Only present when the account has an active delegation.

Pattern: ^0x[0-9a-fA-F]{40}$
Example:

"0x7702cb554e6bFb442cb743A7dF23154544a7176C"